Add attachment to case note

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to attach a file to an existing case note.

📘

Note

A note must be added to the case before attaching a file.

File requirements

  • Maximum file size: 10 Mb.
  • Supported file formats: jpg, png, pdf, doc, docx, xls, xlsx, odt, ods, txt.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/api/caseManagement/v2/cases/notes/attachments' \
     -H 'Content-Type: multipart/form-data' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -F 'metadata[id]=69ccd5fc9b24ddbbd2e0b88c' \
     -F 'metadata[caseId]=69cccf009b24ddbbd2e0b7c6' \
     -F 'content=@example_image.png'

Response explained

The response is a JSON object representing the note details. The following tables explain the response attributes.

FieldTypeDescription
idStringUnique identifier of the note.
caseIdStringUnique identifier of the case in the Sumsub system.
noteStringText of the note.
createdAtDateDate and time when the note was added, in the format yyyy-MM-dd HH:mm:ssZZ.
createdByStringIdentifies the entity that created the note: Service if created by the system, or a personal identifier if created by an officer.
attachmentsArray of objectsAn array where each object represents a file attached to the note. Returned only if at least one file is added to the note.
tagsArray of stringsThe tags assigned to the note. Returned only if at least one tag is present.

attachments element fields

Each object in the attachments array represents a file attached to the note.

FieldTypeDescription
idStringUnique file identifier.
fileNameStringFile name.
createdAtDateDate and time when the file was added, in the format yyyy-MM-dd HH:mm:ssZZ.
createdByStringIdentifies the officer who added the file.
fileSizeIntegerFile size, in bytes.

Response examples

If the request is sent and processed successfully, you will receive a response like the following:

{
  "id": "69ccd5fc9b24ddbbd2e0b88c",
  "caseId": "69cccf009b24ddbbd2e0b7c6",
  "note": "Api test note.",
  "createdAt": "2026-04-01 08:23:24+0000",
  "createdBy": "Service",
  "attachments": [
    {
      "id": "69e7441d9b0334cdca8a000f",
      "fileName": "file_name.png",
      "createdAt": "2026-04-21 09:32:13+0000",
      "createdBy": "[email protected]",
      "fileSize": 25600
    }
  ]
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "description": "Malformed data provided in the request",
  "code": 400,
  "correlationId": "f23e05c9f1a0aa2beb83065f98dc0544"
}

Body Params
file
required
metadata
object
required
Headers
string
required
Defaults to multipart/form-data
Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!